"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useConfirmDialogController = void 0;
var react_1 = require("react");
var useConfirmDialogController = function () {
    var _a = (0, react_1.useState)(false), visible = _a[0], setVisible = _a[1];
    var _b = (0, react_1.useState)(null), confirmDialogData = _b[0], setConfirmDialogData = _b[1];
    var hideConfirmDialog = (0, react_1.useCallback)(function () {
        setVisible(false);
    }, [setVisible]);
    var showConfirmDialog = (0, react_1.useCallback)(function (data, onConfirm, onDeny, options) {
        setVisible(true);
        setConfirmDialogData({
            data: data,
            confirm: onConfirm,
            deny: onDeny,
            options: options,
        });
    }, [confirmDialogData, setConfirmDialogData]);
    return {
        visible: visible,
        confirmDialog: confirmDialogData,
        showConfirmDialog: showConfirmDialog,
        hideConfirmDialog: hideConfirmDialog,
    };
};
exports.useConfirmDialogController = useConfirmDialogController;
//# sourceMappingURL=use-confirm-dialog-controller.js.map